Package org.eclipse.m2m.atl.emftvm.util

## Class DefaultModuleResolverFactory

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.util.DefaultModuleResolverFactory

All Implemented Interfaces:
  `ModuleResolverFactory`

    public class DefaultModuleResolverFactory
    extends java.lang.Object
    implements ModuleResolverFactory

`ModuleResolverFactory` for `DefaultModuleResolver`s.

### Constructor Summary

Constructors
`DefaultModuleResolverFactory​(java.lang.String uriPrefix)` Creates a new `DefaultModuleResolverFactory`.

### Method Summary

All Methods Instance Methods Concrete Methods
`ModuleResolver` `createModuleResolver()` Returns a new `ModuleResolver`.
`java.lang.String` `getUriPrefix()` Returns the URI prefix for the `DefaultModuleResolver`s.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultModuleResolverFactory

    public DefaultModuleResolverFactory​(java.lang.String uriPrefix)

Creates a new `DefaultModuleResolverFactory`.

Parameters:
  `uriPrefix` - the URI prefix for the `DefaultModuleResolver`s

### Method Detail

#### createModuleResolver

    public ModuleResolver createModuleResolver()

Returns a new `ModuleResolver`.

Specified by:
  `createModuleResolver` in interface `ModuleResolverFactory`
Returns:
  a new `ModuleResolver`

#### getUriPrefix

    public java.lang.String getUriPrefix()

Returns the URI prefix for the `DefaultModuleResolver`s.

Returns:
  the uriPrefix